/*
	Copyright (c) 1998-2001 Macromedia, Inc.	All Rights Reserved

	You may utilize this source file to create and compile object code for use within products
	you may create. THIS CODE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, AND
	MACROMEDIA DISCLAIMS ALL IMPLIED WARRANTIES INCLUDING, BUT NOT LIMITED TO, MERCHANTABILITY,
	FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT.	IN NO EVENT WILL MACROMEDIA BE
	LIABLE TO YOU FOR ANY CONSEQUENTIAL, INDIRECT OR INCIDENTAL DAMAGES ARISING OUT OF YOUR
	USE OR INABILITY TO USE THIS CODE.
*/

#ifndef _H_Script
#define _H_Script

#include "moastdif.h"
#include "xmmvalue.h"
#include "mmiutil.h"

#define PROPBUF_SIZE	256
#define PROPNAME_SIZE	32
#define MY_BUF_SIZE		32
#define MAXDOCOMMAND	1024
#define MAX_STRING_SIZE	255



/* --------------------------------------------------- */

DEFINE_GUID(CLSID_PrintXtra,0xefbb8a65, 0xff55, 0x4d96, 0xb6, 0xb3, 0x76, 0x1f, 0x3e, 0x90, 0x0, 0x26);

//#error PLEASE DEFINE A NEW CLSID
//DEFINE_GUID(CLSID_PrintXtra );

EXTERN_BEGIN_DEFINE_CLASS_INSTANCE_VARS(PrintXtra)

	PIMoaMmUtils2 	pMoaUtils;
	PIMoaMmValue	pValueInterface;
	/*
	 * ---> insert additional variable(s) -->
	 */ 

EXTERN_END_DEFINE_CLASS_INSTANCE_VARS



/*****************************************************************************
 * Xtra Moa Registration Interface - Class definition
 ****************************************************************************/

EXTERN_BEGIN_DEFINE_CLASS_INTERFACE(PrintXtra, IMoaRegister)

	EXTERN_DEFINE_METHOD(MoaError, Register, (PIMoaCache, PIMoaXtraEntryDict))

EXTERN_END_DEFINE_CLASS_INTERFACE



/*****************************************************************************
 * Xtra Moa Scripting Interface - Class definition
 ****************************************************************************/

EXTERN_BEGIN_DEFINE_CLASS_INTERFACE(PrintXtra, IMoaMmXScript)

	EXTERN_DEFINE_METHOD(MoaError, Call, (PMoaDrCallInfo))
private:
	// Methods that implement the Lingo commands.
	// These are dispatched from "Call"

	EXTERN_DEFINE_METHOD(MoaError, XX_startdoc, (PMoaDrCallInfo))
	EXTERN_DEFINE_METHOD(MoaError, XX_enddoc, (PMoaDrCallInfo))
	EXTERN_DEFINE_METHOD(MoaError, XX_startpage, (PMoaDrCallInfo))
	EXTERN_DEFINE_METHOD(MoaError, XX_endpage, (PMoaDrCallInfo))
	EXTERN_DEFINE_METHOD(MoaError, XX_printtext, (PMoaDrCallInfo))
	EXTERN_DEFINE_METHOD(MoaError, XX_printscreen, (PMoaDrCallInfo))
	EXTERN_DEFINE_METHOD(MoaError, XX_pagesetup, (PMoaDrCallInfo))
	EXTERN_DEFINE_METHOD(MoaError, XX_setfont, (PMoaDrCallInfo))

EXTERN_END_DEFINE_CLASS_INTERFACE

#endif /* _H_Script */
